if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_racs_UpdateDebtorSystemDescriptions]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[sp_racs_UpdateDebtorSystemDescriptions]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE sp_racs_UpdateDebtorSystemDescriptions
AS

SET DATEFORMAT dmy

update ds
set
	ds.SystemDescription = t.SystemDescription + ' [' + fv.Contents + ']'
--
from dbo.DB_DebtorSystemTemplates t
join dbo.DB_DebtorSystemTEmplateFields tfComputer
	on t.DebtorSystemTemplateID = tfComputer.DebtorSystemTemplateID
--	and tfComputer.FieldName = 'b. Netbios Name'
	and tfComputer.FieldName in ('.Description','Description','.description','description')
join dbo.DB_DebtorSystemFieldValues fv
	on tfComputer.DebtorSystemTemplateFieldID = fv.DebtorSystemTemplateFieldID
join dbo.DB_DebtorSystems ds
	on fv.DebtorSystemID = ds.DebtorSystemID
	and tfComputer.DebtorSystemTemplateID = ds.DebtorSystemTemplateID
join dbo.DB_Main m
	on ds.DebtorID = m.DebtorID
where
	ds.SystemDescription != t.SystemDescription + ' [' + fv.Contents + ']' -- only mismatches

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GRANT  EXECUTE  ON [dbo].[sp_racs_UpdateDebtorSystemDescriptions]  TO [JiwaUser]
GO

GRANT  EXECUTE  ON [dbo].[sp_racs_UpdateDebtorSystemDescriptions]  TO [JiwaReports]
GO

GRANT  EXECUTE  ON [dbo].[sp_racs_UpdateDebtorSystemDescriptions]  TO [JiwaReader]
GO
